libetonyek::IWORKFillElement Class Reference

`#include <IWORKFillElement.h>`

Inheritance diagram for libetonyek::IWORKFillElement:

## Public Member Functions
| IWORKFillElement (IWORKXMLParserState &state, boost::optional< IWORKFill > &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
boost::optional< IWORKFill > & | m_value
boost::optional< IWORKColor > | m_color
boost::optional< IWORKGradient > | m_gradient
IWORKMediaContentPtr_t | m_bitmap
boost::optional< ID_t > | m_gradientRef
boost::optional< ID_t > | m_texturedFillRef

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKFillElement()

libetonyek::IWORKFillElement::IWORKFillElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKFill > & | value )

Referenced by IWORKFillElement().

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKFillElement::element | ( | int | name | ) |
| override private virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKFillElement::endOfElement | ( |  | ) |
| override private virtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_bitmap

IWORKMediaContentPtr_t libetonyek::IWORKFillElement::m_bitmap
| private

Referenced by element(), endOfElement(), and IWORKFillElement().

## ◆ m_color

boost::optional<IWORKColor> libetonyek::IWORKFillElement::m_color
| private

Referenced by element(), endOfElement(), and IWORKFillElement().

## ◆ m_gradient

boost::optional<IWORKGradient> libetonyek::IWORKFillElement::m_gradient
| private

Referenced by element(), endOfElement(), and IWORKFillElement().

## ◆ m_gradientRef

boost::optional<ID_t> libetonyek::IWORKFillElement::m_gradientRef
| private

Referenced by element(), endOfElement(), and IWORKFillElement().

## ◆ m_texturedFillRef

boost::optional<ID_t> libetonyek::IWORKFillElement::m_texturedFillRef
| private

Referenced by element(), endOfElement(), and IWORKFillElement().

## ◆ m_value

boost::optional<IWORKFill>& libetonyek::IWORKFillElement::m_value
| private

Referenced by endOfElement(), and IWORKFillElement().

The documentation for this class was generated from the following files:

- IWORKFillElement.h
- IWORKFillElement.cpp